Module java.base
Package java.util.zip

# Class DataFormatException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.util.zip.DataFormatException

All Implemented Interfaces:
  `Serializable`

    public class DataFormatException
    extends Exception

Signals that a data format error has occurred.

Since:
  1.1
See Also:
  Serialized Form

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`DataFormatException()` | Constructs a DataFormatException with no detail message.
`DataFormatException​(String s)` | Constructs a DataFormatException with the specified detail message.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DataFormatException

public DataFormatException()
Constructs a DataFormatException with no detail message.

### DataFormatException

public DataFormatException​(String s)
Constructs a DataFormatException with the specified detail message. A detail message is a String that describes this particular exception.

Parameters:
  `s` - the String containing a detail message